<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.modular.system.dao.DeptSyncMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.modular.system.model.DeptSync">
        <result column="orgaCode" property="orgaCode" />
        <result column="orgaName" property="orgaName" />
        <result column="superCode" property="superCode" />
        <result column="isSuper" property="isSuper" />
        <result column="action_type" property="actionType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        orgaCode, orgaName, superCode, isSuper, action_type AS actionType
    </sql>

</mapper>
